- name: Copy runner.sh to /usr/local/bin
  when: "'pcbuilders' in group_names"
  copy:
    src: files/usr/local/bin/runner.sh
    dest: /usr/local/bin/runner.sh
    group: eci
    mode: 0770
  
- name: Delete all cron jobs.
  command: crontab -r
  become_user: ecitk
  ignore_errors: yes
  when: "'pcbuilders' in group_names"
  
- name: Creates a pubchemlite cron entry.
  ansible.builtin.cron:
    name: pubchemlite build
    weekday: "5"
    minute: "1"
    hour: "4"
    user: ecitk
    job: /usr/local/bin/runner.sh 2> /home/ecitk/pcl/runner.err
  when: "'pcbuilders' in group_names"
